/* Datei: Fahrenheit.c */

#include <stdio.h>

// Hier werden Zeilenkommentare verwendet
// Konstanten
#define UPPER   300       // obere Grenze UPPER ist eine
                          // symbolische Konstante
                          // 300 ist eine literale Konstante
#define LOWER     0       // untere Grenze
#define STEP     20       // Schrittweite

int main (void)
{
  // Variablen
  int fahr;               // Definition der lokalen Variablen
                          // fahr fur die Temperatur in
                          // der Einheit Fahrenheit
  int celsius;            // Definition der lokalen Variablen
                          // celsius fur die Temperatur in
                          // der Einheit Celsius
  
  // Anweisungen
  fahr = LOWER;           // als Anfangswert wird fahr der Wert
                          // 0 zugewiesen
  while (fahr <= UPPER )  // wiederhole solange fahr kleiner
  {                       // oder gleich UPPER ist
    celsius = 5 * (fahr - 32) / 9;
                          // nach dieser Formel berechnet sich
                          // der Celsius-Wert aus einem
                          // Fahrenheit-Wert
    printf ("%d\t%d\n", fahr, celsius);
                          // Es werden die Werte der Variablen
                          // fahr und celsius als Dezimalzahlen
                          // ausgegeben. Die Werte werden getrennt
                          // durch ein Tabulator-Zeichen und am
                          // Ende wird ein Zeilenumbruch ausgegeben
    fahr = fahr + STEP;   // Der nachste Wert von fahr wird
                          // berechnet
  }
  return 0;
}



