/* Datei: mythread.c */
#include <stdio.h>
#include <threads.h>

#define THREAD_ANZAHL 5

int ausgabethread (void * arg)
{
   (void) arg; /* arg wird in diesem Beispiel nicht verwendet */
   thrd_t threadid = thrd_current (void);
   printf ("Thread Nr. %i meldet sich.\n", threadid.n);
   return thrd_success;
}

int main (void) 
{
   /* Array-Variable zum Speichern der Thread IDs */
   thrd_t threads[THREAD_ANZAHL];
   int i;

   for (i = 0; i < THREAD_ANZAHL; ++i) 
   {
      printf ("Erzeuge Thread Nr. %i.\n", i);
      /* Thread erzeugen und ausfuehren */
      if (thrd_create(&threads[i], 	ausgabethread, NULL) 
           != thrd_success)
      {
         printf ("Thread Nr. %i wurde nicht erzeugt.\n", i);
      }
      /* warten, bis Threads beendet wurden */
      thrd_join (threads[i], NULL);
   }
}