/* Datei: summe2.c */         /* (1) Kommentar */
#include <stdio.h>            /* (2) Include-Anweisungen */

int summe (int n);            /* (4) Funktionsprototypen */

int main (void)               /* (5) Definition der main-Funktion */
{
   int eingabe;
   int resultat;

   printf ("Eingabe der oberen Grenze: ");
   scanf ("%d", &eingabe);

   if (eingabe > 65535)
   {
      printf ("Bei einer oberen Grenze groesser als 65535\n");
      printf ("ueberschreitet die zu berechnende Summe\n");
      printf ("den Wertebereich von int-Variablen.\n");
      printf ("Die Berechnung wird abgebrochen.\n");
      return -1;              /* Abbruch bei fehlerhafter Eingabe */
   }                          /* siehe hierzu Kapitel 15.2        */
      
   resultat = summe (eingabe);
   printf ("Die Summe der Zahlen von 1 bis %d ist %d\n", 
            eingabe, resultat);

   return 0;
}

int summe (int n)            /* (6) Funktionsdefinition */
{
   int lv;
   int zwsumme = 0;

   for (lv = 1; lv <= n; lv = lv + 1)
   {
      zwsumme = zwsumme + lv;
   }

   return zwsumme; 
}



