/* Datei: verteilung.c */
#include "stdlib.h"
#include "stdio.h"

int main(void)
{
  FILE * infile;
  FILE * outfile;
  char number[10];
  int sum = 0;
  int cumulation = 0;
  
  // Oeffnen der Input-Datei
  infile  = fopen ("input.txt", "r");
  if (infile == NULL)
  {
     perror("Inputdatei"); exit(1);
  }

  // Oeffnen der Output-Datei
  outfile = fopen ("result.txt", "w");
  if (outfile == NULL)
  {
     perror ("Outputdatei"); exit(1);
  }
  
  // Lesen der Zahlen:
  while (!feof(infile))
  {
     fgets (number, 10, infile); // Einlesen einer Zeile
     sum += atoi (number);       // Umwandeln in int
  }
  
  // Zuruecksetzen der Input-Datei.
  // Auch moeglich: rewind (infile);
  fseek (infile, 0, SEEK_SET);
  
  // Berechnen der kumulativen Verteilfunktion
  while (!feof(infile))
  {
     fgets (number, 10, infile);   // Einlesen einer Zeile
     fprintf (outfile, "%f\n", (double)cumulation / sum);
     cumulation += atoi (number); // Umwandeln in int
  }
  fprintf (outfile, "%f\n", 1.);
  fflush (outfile); // Nicht noetig. Einfach zur Demo.
  
  // Schliessen der Dateien
  fclose (outfile);
  fclose (infile);
  
  return 0;
}




