/* Datei: bsearch.c */
#include <stdlib.h>
#include <stdio.h>

int aufsteigend (const void* a, const void* b)
{
   return (*(int*)a-*(int*)b);
}
int absteigend (const void* a, const void* b)
{
   return (*(int*)b-*(int*)a);
}

#define NUM_COUNT 8

int main (void) {
   int i;
   int key = 4;
   int* keyptr;
   int test[NUM_COUNT] = {7, 3, 8, 6, 9, 1, 2, 4};
   qsort (test, NUM_COUNT, sizeof(int), aufsteigend);
   for (i=0; i < NUM_COUNT; i++)
   {
      printf ("%d ", test[i]);
   }
   keyptr = bsearch (&key, test, NUM_COUNT, sizeof (int),
               aufsteigend);
   if (keyptr)
   {
      printf ("\nSchluessel %d gefunden\n", *keyptr);
   } 
   else
   {
      printf ("\nSchluessel nicht gefunden\n");
   }
}