/* Datei: hashname.c */
#define laenge 331

long int hash (char name[])
{  
   long int help;
   int i;
  
   /* Schluessel aus ersten 6 Zeichen des Namens berechnen:       */
   /* Schluessel = z0*275 + z1*274 + z2*273 + z3*272 + z4*271 + z5*270  */
   /*              + Namenslaenge                                 */
   help = toupper (name[0]) - 'A' + 1; 
   /* toupper (c) wandelt Kleinbuchstaben in entsprechenden       */
   /* Grossbuchstaben um.                                         */
   for (i = 1; i < min (6, strlen (name)); i++)
      if (isalpha (name[i]))
         help = help * 27 + (char)toupper (name[i]) - 'A' + 1;
   /* Zur Vermeidung von Kollisionen bei 6 gleichen ersten        */
   /* Zeichen die Namenslaenge addieren.                          */
   help = help + strlen (name);

   return (help % laenge);
}
